Skip to main content
GET
/
v1
/
card
/
{cardId}
List fraud cases for a card
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/fraud-case/v1/card/{cardId}' \
  --header 'Authorization: Basic <encoded-value>'
{
  "cases": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "OPEN",
      "cardId": "54321",
      "createdTime": "2025-07-01T10:00:00Z",
      "lastUpdatedTime": "2025-07-02T14:30:00Z",
      "transactionCount": 3,
      "comment": "<string>",
      "resolutionStatus": "RISK"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

cardId
string<biginteger>
required

The card id to fetch list of fraud cases for

Query Parameters

auditUser
string
required

The audit user to log the request

filter
string

OData-style filter supporting only the eq operator and OR connector for the status field.

  • Keywords (status, eq, OR) and values are case-insensitive.
  • Allowed status values: OPEN, PENDING, CLOSED.
  • Values must be enclosed in single quotes.
  • Clients must URL-encode spaces (%20) and quotes (%27) when sending as a query parameter.

Supported syntax: status eq 'VALUE' [ OR status eq 'VALUE' ]

fromDate
string<date-time>

ISO-8601 date-time to filter cases with createdTime on or after this timestamp.

Example:

"2025-07-01T00:00:00Z"

toDate
string<date-time>

ISO-8601 date-time to filter cases with createdTime on or before this timestamp.

Example:

"2025-07-02T00:00:00Z"

page
integer
default:0

Page number for pagination

Required range: x >= 0
size
integer
default:20

Number of items per page

Required range: 1 <= x <= 100

Response

Successful retrieval of fraud cases

cases
object[]
required

List of fraud case summaries